require "menu"
require "game"
require "camera"
require "player"

function love.load()
	gamestate = "Menu"
	love.graphics.setBackgroundColor(142,189,118)
	love.graphics.setColor(191,40,100)
	titleF = love.graphics.newFont(50)
	menuF = love.graphics.newFont(20)
	infoF = love.graphics.newFont(16)
	if gamestate == "Menu" then
		button_create(300,350,"Start The Game", "Start")
		button_create(300,500,"Quit The Game", "Quit")
	end
	if gamestate == "Start" then
		game_load()
	end
end

function love.update(dt)
	mousex = love.mouse.getX()
	mousey = love.mouse.getY()
	if gamestate == "Menu" then
		button_isOver()
	end
	if gamestate == "Start" then
		game_update(dt)
	end
end

function love.draw()
	if gamestate == "Menu" then
		love.graphics.setFont(titleF)
		love.graphics.setColor(233,233,67)
		love.graphics.print("Invaders Must Die!",190,100)
		love.graphics.setFont(infoF)
		love.graphics.print("Game Made By: The Scriptan",564,584)
		button_draw()
	end
	if gamestate == "Start" then
		game_draw()
	end
end

function love.mousepressed(x,y)
	if gamestate == "Menu" then
		button_click(x,y)
	end
end