buttons = {}

function button_create(x,y,text,id)
	table.insert(buttons, {x = x, y = y, text = text,id = id, mouseover = false})
end

function button_draw()
	for i,v in ipairs(buttons) do
		if v.mouseover == false then
			love.graphics.setColor(255,255,255)
		end
		if v.mouseover == true then
			love.graphics.setColor(0,0,0)
		end
		love.graphics.setFont(menuF)
		love.graphics.print(v.text,v.x,v.y)
	end
end

function button_click(x,y)
	for i,v in ipairs(buttons) do
		if x > v.x and
		x < v.x + menuF:getWidth(v.text) and
		y > v.y and
		y < v.y + menuF:getHeight() then
			if v.id == "Start" then
			gamestate = "Start"
			end
			if v.id == "Quit" then
				love.event.push("quit")
			end
		end
	end
end

function button_isOver()
	for i, v in ipairs(buttons) do
		if mousex >  v.x and
		mousex < v.x + menuF:getWidth(v.text) and
		mousey > v.y and
		mousey < v.y + menuF:getHeight() then
			v.mouseover = true
		else
			v.mouseover = false
		end
	end
end